Native2AsciiFilter (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.filters, class: Native2AsciiFilter

# Class Native2AsciiFilter

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
org.apache.tools.ant.filters.Native2AsciiFilter

All Implemented Interfaces:
  `Cloneable, ChainableReader, TokenFilter.Filter`

public class Native2AsciiFilter extends TokenFilter.ChainableReaderFilter
A filter that performs translations from characters to their Unicode-escape sequences and vice-versa.

Since:
  Ant 1.9.8

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Native2AsciiFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `filter(String line)`
  filter and/of modify a string
  `void`
  `setReverse(boolean reverse)`
  Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.

  ### Methods inherited from class TokenFilter.ChainableReaderFilter

  `chain, setByLine`
  Modifier and Type
  Method
  Description
  `Reader`
  `chain(Reader reader)`
  Chain a tokenfilter reader to a reader,
  `void`
  `setByLine(boolean byLine)`
  set whether to use filetokenizer or line tokenizer

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Native2AsciiFilter

    public Native2AsciiFilter()

- ## Method Details

  - ### setReverse

    public void setReverse(boolean reverse)
    Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.
    Parameters:
      `reverse` - True if the conversion is to be reversed, otherwise false;

  - ### filter

    public String filter(String line)
    Description copied from interface: `TokenFilter.Filter`
    filter and/of modify a string
    Parameters:
      `line` - the string to filter
    Returns:
      the modified string or null if the string did not pass the filter